<?php

if(!defined("IN_FIEME"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugin->add_hook("global_server_status_end", "hello_server_status"); //run test_function at the hook called "index_page_main_start"
$plugin->add_hook("leaderboard_table_row_foreach_start", "hello_leaderboard");

function hello_world_information()
{
	return array(
		"name"			=>"Hello World",
		"about"			=>"Changes the status of the server from online to 'hello' and offline to 'byebye'; changes all usernames in the leaderboard to 'hello'",
		"created_by"	=>"xDario",
		"version"		=>"1.0",
		"fieme_rev"		=>array("0.8.*", "test")
		);
}

function hello_world_activate()
{
	//empty, but still defined! This is because nothing needs to be done to activate this plugin - We don't need to edit
	//templated, we don't need to add tables to the database, or anything of the sort. We just need to be able to run
	//the hoooooks.
}

function hello_world_deactivate()
{
	
}

function hello_server_status($status)
{
	global $lang;
	$status = str_ireplace($lang->server_online,"HELLO",$status);
	return str_ireplace($lang->server_offline,"BYEBYE",$status);
}

function hello_leaderboard()
{
	global $row;
	$row['sID'] = "HELLO WORLD";
}